curl --request PATCH \
--url https://managexrapi.com/v1/configurations/{id} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Client Configuration v2",
"vrContent": [
{
"type": "app",
"id": {
"packageName": "com.my.customApp",
"releaseChannel": "prod"
}
},
{
"type": "video",
"id": "KSJ34KHDA12MR"
},
{
"type": "app",
"id": {
"packageName": "com.my.test1",
"version": "latest"
}
},
{
"type": "app",
"id": {
"packageName": "com.my.test1",
"version": {
"versionCode": 1,
"versionName": "1.0"
}
}
}
],
"wifiNetworkIds": [
"1390KJDL139PJD",
"KAFJ39UT124P98"
],
"picoTargetFirmwareVersions": {
"Pico 4 Ultra Enterprise": "5.13.4",
"Pico G3": "DEFER_TO_DEVICE",
"Pico 4": null
}
}
'import requests
url = "https://managexrapi.com/v1/configurations/{id}"
payload = {
"name": "Client Configuration v2",
"vrContent": [
{
"type": "app",
"id": {
"packageName": "com.my.customApp",
"releaseChannel": "prod"
}
},
{
"type": "video",
"id": "KSJ34KHDA12MR"
},
{
"type": "app",
"id": {
"packageName": "com.my.test1",
"version": "latest"
}
},
{
"type": "app",
"id": {
"packageName": "com.my.test1",
"version": {
"versionCode": 1,
"versionName": "1.0"
}
}
}
],
"wifiNetworkIds": ["1390KJDL139PJD", "KAFJ39UT124P98"],
"picoTargetFirmwareVersions": {
"Pico 4 Ultra Enterprise": "5.13.4",
"Pico G3": "DEFER_TO_DEVICE",
"Pico 4": None
}
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Client Configuration v2',
vrContent: [
{type: 'app', id: {packageName: 'com.my.customApp', releaseChannel: 'prod'}},
{type: 'video', id: 'KSJ34KHDA12MR'},
{type: 'app', id: {packageName: 'com.my.test1', version: 'latest'}},
{
type: 'app',
id: {packageName: 'com.my.test1', version: {versionCode: 1, versionName: '1.0'}}
}
],
wifiNetworkIds: ['1390KJDL139PJD', 'KAFJ39UT124P98'],
picoTargetFirmwareVersions: {
'Pico 4 Ultra Enterprise': '5.13.4',
'Pico G3': 'DEFER_TO_DEVICE',
'Pico 4': null
}
})
};
fetch('https://managexrapi.com/v1/configurations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://managexrapi.com/v1/configurations/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Client Configuration v2',
'vrContent' => [
[
'type' => 'app',
'id' => [
'packageName' => 'com.my.customApp',
'releaseChannel' => 'prod'
]
],
[
'type' => 'video',
'id' => 'KSJ34KHDA12MR'
],
[
'type' => 'app',
'id' => [
'packageName' => 'com.my.test1',
'version' => 'latest'
]
],
[
'type' => 'app',
'id' => [
'packageName' => 'com.my.test1',
'version' => [
'versionCode' => 1,
'versionName' => '1.0'
]
]
]
],
'wifiNetworkIds' => [
'1390KJDL139PJD',
'KAFJ39UT124P98'
],
'picoTargetFirmwareVersions' => [
'Pico 4 Ultra Enterprise' => '5.13.4',
'Pico G3' => 'DEFER_TO_DEVICE',
'Pico 4' => null
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://managexrapi.com/v1/configurations/{id}"
payload := strings.NewReader("{\n \"name\": \"Client Configuration v2\",\n \"vrContent\": [\n {\n \"type\": \"app\",\n \"id\": {\n \"packageName\": \"com.my.customApp\",\n \"releaseChannel\": \"prod\"\n }\n },\n {\n \"type\": \"video\",\n \"id\": \"KSJ34KHDA12MR\"\n },\n {\n \"type\": \"app\",\n \"id\": {\n \"packageName\": \"com.my.test1\",\n \"version\": \"latest\"\n }\n },\n {\n \"type\": \"app\",\n \"id\": {\n \"packageName\": \"com.my.test1\",\n \"version\": {\n \"versionCode\": 1,\n \"versionName\": \"1.0\"\n }\n }\n }\n ],\n \"wifiNetworkIds\": [\n \"1390KJDL139PJD\",\n \"KAFJ39UT124P98\"\n ],\n \"picoTargetFirmwareVersions\": {\n \"Pico 4 Ultra Enterprise\": \"5.13.4\",\n \"Pico G3\": \"DEFER_TO_DEVICE\",\n \"Pico 4\": null\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Basic <encoded-value>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://managexrapi.com/v1/configurations/{id}")
.header("Authorization", "Basic <encoded-value>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Client Configuration v2\",\n \"vrContent\": [\n {\n \"type\": \"app\",\n \"id\": {\n \"packageName\": \"com.my.customApp\",\n \"releaseChannel\": \"prod\"\n }\n },\n {\n \"type\": \"video\",\n \"id\": \"KSJ34KHDA12MR\"\n },\n {\n \"type\": \"app\",\n \"id\": {\n \"packageName\": \"com.my.test1\",\n \"version\": \"latest\"\n }\n },\n {\n \"type\": \"app\",\n \"id\": {\n \"packageName\": \"com.my.test1\",\n \"version\": {\n \"versionCode\": 1,\n \"versionName\": \"1.0\"\n }\n }\n }\n ],\n \"wifiNetworkIds\": [\n \"1390KJDL139PJD\",\n \"KAFJ39UT124P98\"\n ],\n \"picoTargetFirmwareVersions\": {\n \"Pico 4 Ultra Enterprise\": \"5.13.4\",\n \"Pico G3\": \"DEFER_TO_DEVICE\",\n \"Pico 4\": null\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://managexrapi.com/v1/configurations/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Basic <encoded-value>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Client Configuration v2\",\n \"vrContent\": [\n {\n \"type\": \"app\",\n \"id\": {\n \"packageName\": \"com.my.customApp\",\n \"releaseChannel\": \"prod\"\n }\n },\n {\n \"type\": \"video\",\n \"id\": \"KSJ34KHDA12MR\"\n },\n {\n \"type\": \"app\",\n \"id\": {\n \"packageName\": \"com.my.test1\",\n \"version\": \"latest\"\n }\n },\n {\n \"type\": \"app\",\n \"id\": {\n \"packageName\": \"com.my.test1\",\n \"version\": {\n \"versionCode\": 1,\n \"versionName\": \"1.0\"\n }\n }\n }\n ],\n \"wifiNetworkIds\": [\n \"1390KJDL139PJD\",\n \"KAFJ39UT124P98\"\n ],\n \"picoTargetFirmwareVersions\": {\n \"Pico 4 Ultra Enterprise\": \"5.13.4\",\n \"Pico G3\": \"DEFER_TO_DEVICE\",\n \"Pico 4\": null\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "sFidGmedeQofSBcvRcyn",
"name": "Education",
"registrationCode": "f7GbHvH",
"deviceCount": 15,
"deviceExperienceMode": "HOME_SCREEN",
"vrContent": [
{
"id": "av_123",
"type": "managed",
"configurationDeployments": {
"config_123": 1,
"config_456": 0
},
"createdAt": 1645615777448,
"updatedAt": 1687352117203,
"versionCode": 83894522,
"versionName": "8.7.8.1206",
"versionLabel": "Quest",
"hidden": false,
"forceInstall": false,
"apkSize": 72633861,
"obbSize": 1024,
"selfHosted": true,
"apkUrl": "https://storage.example.com/apps/com.example.app.apk",
"obbUrl": "https://storage.example.com/apps/com.example.app.obb",
"sharingOrganizationName": "XR Developer",
"releaseChannelName": "Production",
"supportedDeviceModels": [
"Quest 3",
"Quest 3S",
"Pico 4 Ultra Enterprise"
]
}
],
"kioskVrContent": "<unknown>",
"kioskVideoSettings": {
"loopVideo": true,
"loopVideoAfterNSecondsHeadsetOff": 30
},
"files": [
{
"id": "DLO133U5NFLMAL1",
"url": "https://storage.googleapis.com/managexr-files/org_456/files/file_123abc.mp4",
"name": "main_assets_all.bundle",
"size": 1204975930,
"md5": "7ah69cMtXyaz5OfsCRtOjQ==",
"description": "Content bundle for training app",
"libraryDirectoryPath": "/",
"deviceDirectoryPaths": [
"/Android/obb/com.managexr.exampleApp/files"
]
}
],
"wifiNetworks": [
{
"id": "wifi_abc123",
"ssid": "MyNetwork",
"nickname": "Office Wi-Fi",
"type": "WPA_ENTERPRISE",
"priorityWifiNetwork": false
}
],
"picoTargetFirmwareVersions": {
"Pico Neo 2": null,
"Pico Neo 3": "DEFER_TO_DEVICE",
"Pico G2 4K": null,
"Pico G3": "BLOCK_FIRMWARE_UPDATES",
"Pico 4": null,
"Pico 4 Ultra Enterprise": "5.13.4"
}
}
}{
"statusCode": 400,
"message": "Version 5.12.10 is not available for Pico 4 Ultra Enterprise. Allowed values: DEFER_TO_DEVICE, BLOCK_FIRMWARE_UPDATES, 5.15.7, 5.13.4, 5.12.6",
"error": "Bad Request"
}{
"statusCode": 403,
"message": "Forbidden",
"error": "ManageXR Error"
}{
"statusCode": 404,
"message": "Configuration with id sFidGmedeQofSBcvRcyn not found",
"error": "ManageXR Error"
}Edit Configuration
Update an existing configuration to change the content deployed
(e.g., update app versions, add/remove apps, videos, and WebXR links).
curl --request PATCH \
--url https://managexrapi.com/v1/configurations/{id} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Client Configuration v2",
"vrContent": [
{
"type": "app",
"id": {
"packageName": "com.my.customApp",
"releaseChannel": "prod"
}
},
{
"type": "video",
"id": "KSJ34KHDA12MR"
},
{
"type": "app",
"id": {
"packageName": "com.my.test1",
"version": "latest"
}
},
{
"type": "app",
"id": {
"packageName": "com.my.test1",
"version": {
"versionCode": 1,
"versionName": "1.0"
}
}
}
],
"wifiNetworkIds": [
"1390KJDL139PJD",
"KAFJ39UT124P98"
],
"picoTargetFirmwareVersions": {
"Pico 4 Ultra Enterprise": "5.13.4",
"Pico G3": "DEFER_TO_DEVICE",
"Pico 4": null
}
}
'import requests
url = "https://managexrapi.com/v1/configurations/{id}"
payload = {
"name": "Client Configuration v2",
"vrContent": [
{
"type": "app",
"id": {
"packageName": "com.my.customApp",
"releaseChannel": "prod"
}
},
{
"type": "video",
"id": "KSJ34KHDA12MR"
},
{
"type": "app",
"id": {
"packageName": "com.my.test1",
"version": "latest"
}
},
{
"type": "app",
"id": {
"packageName": "com.my.test1",
"version": {
"versionCode": 1,
"versionName": "1.0"
}
}
}
],
"wifiNetworkIds": ["1390KJDL139PJD", "KAFJ39UT124P98"],
"picoTargetFirmwareVersions": {
"Pico 4 Ultra Enterprise": "5.13.4",
"Pico G3": "DEFER_TO_DEVICE",
"Pico 4": None
}
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Client Configuration v2',
vrContent: [
{type: 'app', id: {packageName: 'com.my.customApp', releaseChannel: 'prod'}},
{type: 'video', id: 'KSJ34KHDA12MR'},
{type: 'app', id: {packageName: 'com.my.test1', version: 'latest'}},
{
type: 'app',
id: {packageName: 'com.my.test1', version: {versionCode: 1, versionName: '1.0'}}
}
],
wifiNetworkIds: ['1390KJDL139PJD', 'KAFJ39UT124P98'],
picoTargetFirmwareVersions: {
'Pico 4 Ultra Enterprise': '5.13.4',
'Pico G3': 'DEFER_TO_DEVICE',
'Pico 4': null
}
})
};
fetch('https://managexrapi.com/v1/configurations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://managexrapi.com/v1/configurations/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Client Configuration v2',
'vrContent' => [
[
'type' => 'app',
'id' => [
'packageName' => 'com.my.customApp',
'releaseChannel' => 'prod'
]
],
[
'type' => 'video',
'id' => 'KSJ34KHDA12MR'
],
[
'type' => 'app',
'id' => [
'packageName' => 'com.my.test1',
'version' => 'latest'
]
],
[
'type' => 'app',
'id' => [
'packageName' => 'com.my.test1',
'version' => [
'versionCode' => 1,
'versionName' => '1.0'
]
]
]
],
'wifiNetworkIds' => [
'1390KJDL139PJD',
'KAFJ39UT124P98'
],
'picoTargetFirmwareVersions' => [
'Pico 4 Ultra Enterprise' => '5.13.4',
'Pico G3' => 'DEFER_TO_DEVICE',
'Pico 4' => null
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://managexrapi.com/v1/configurations/{id}"
payload := strings.NewReader("{\n \"name\": \"Client Configuration v2\",\n \"vrContent\": [\n {\n \"type\": \"app\",\n \"id\": {\n \"packageName\": \"com.my.customApp\",\n \"releaseChannel\": \"prod\"\n }\n },\n {\n \"type\": \"video\",\n \"id\": \"KSJ34KHDA12MR\"\n },\n {\n \"type\": \"app\",\n \"id\": {\n \"packageName\": \"com.my.test1\",\n \"version\": \"latest\"\n }\n },\n {\n \"type\": \"app\",\n \"id\": {\n \"packageName\": \"com.my.test1\",\n \"version\": {\n \"versionCode\": 1,\n \"versionName\": \"1.0\"\n }\n }\n }\n ],\n \"wifiNetworkIds\": [\n \"1390KJDL139PJD\",\n \"KAFJ39UT124P98\"\n ],\n \"picoTargetFirmwareVersions\": {\n \"Pico 4 Ultra Enterprise\": \"5.13.4\",\n \"Pico G3\": \"DEFER_TO_DEVICE\",\n \"Pico 4\": null\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Basic <encoded-value>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://managexrapi.com/v1/configurations/{id}")
.header("Authorization", "Basic <encoded-value>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Client Configuration v2\",\n \"vrContent\": [\n {\n \"type\": \"app\",\n \"id\": {\n \"packageName\": \"com.my.customApp\",\n \"releaseChannel\": \"prod\"\n }\n },\n {\n \"type\": \"video\",\n \"id\": \"KSJ34KHDA12MR\"\n },\n {\n \"type\": \"app\",\n \"id\": {\n \"packageName\": \"com.my.test1\",\n \"version\": \"latest\"\n }\n },\n {\n \"type\": \"app\",\n \"id\": {\n \"packageName\": \"com.my.test1\",\n \"version\": {\n \"versionCode\": 1,\n \"versionName\": \"1.0\"\n }\n }\n }\n ],\n \"wifiNetworkIds\": [\n \"1390KJDL139PJD\",\n \"KAFJ39UT124P98\"\n ],\n \"picoTargetFirmwareVersions\": {\n \"Pico 4 Ultra Enterprise\": \"5.13.4\",\n \"Pico G3\": \"DEFER_TO_DEVICE\",\n \"Pico 4\": null\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://managexrapi.com/v1/configurations/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Basic <encoded-value>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Client Configuration v2\",\n \"vrContent\": [\n {\n \"type\": \"app\",\n \"id\": {\n \"packageName\": \"com.my.customApp\",\n \"releaseChannel\": \"prod\"\n }\n },\n {\n \"type\": \"video\",\n \"id\": \"KSJ34KHDA12MR\"\n },\n {\n \"type\": \"app\",\n \"id\": {\n \"packageName\": \"com.my.test1\",\n \"version\": \"latest\"\n }\n },\n {\n \"type\": \"app\",\n \"id\": {\n \"packageName\": \"com.my.test1\",\n \"version\": {\n \"versionCode\": 1,\n \"versionName\": \"1.0\"\n }\n }\n }\n ],\n \"wifiNetworkIds\": [\n \"1390KJDL139PJD\",\n \"KAFJ39UT124P98\"\n ],\n \"picoTargetFirmwareVersions\": {\n \"Pico 4 Ultra Enterprise\": \"5.13.4\",\n \"Pico G3\": \"DEFER_TO_DEVICE\",\n \"Pico 4\": null\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "sFidGmedeQofSBcvRcyn",
"name": "Education",
"registrationCode": "f7GbHvH",
"deviceCount": 15,
"deviceExperienceMode": "HOME_SCREEN",
"vrContent": [
{
"id": "av_123",
"type": "managed",
"configurationDeployments": {
"config_123": 1,
"config_456": 0
},
"createdAt": 1645615777448,
"updatedAt": 1687352117203,
"versionCode": 83894522,
"versionName": "8.7.8.1206",
"versionLabel": "Quest",
"hidden": false,
"forceInstall": false,
"apkSize": 72633861,
"obbSize": 1024,
"selfHosted": true,
"apkUrl": "https://storage.example.com/apps/com.example.app.apk",
"obbUrl": "https://storage.example.com/apps/com.example.app.obb",
"sharingOrganizationName": "XR Developer",
"releaseChannelName": "Production",
"supportedDeviceModels": [
"Quest 3",
"Quest 3S",
"Pico 4 Ultra Enterprise"
]
}
],
"kioskVrContent": "<unknown>",
"kioskVideoSettings": {
"loopVideo": true,
"loopVideoAfterNSecondsHeadsetOff": 30
},
"files": [
{
"id": "DLO133U5NFLMAL1",
"url": "https://storage.googleapis.com/managexr-files/org_456/files/file_123abc.mp4",
"name": "main_assets_all.bundle",
"size": 1204975930,
"md5": "7ah69cMtXyaz5OfsCRtOjQ==",
"description": "Content bundle for training app",
"libraryDirectoryPath": "/",
"deviceDirectoryPaths": [
"/Android/obb/com.managexr.exampleApp/files"
]
}
],
"wifiNetworks": [
{
"id": "wifi_abc123",
"ssid": "MyNetwork",
"nickname": "Office Wi-Fi",
"type": "WPA_ENTERPRISE",
"priorityWifiNetwork": false
}
],
"picoTargetFirmwareVersions": {
"Pico Neo 2": null,
"Pico Neo 3": "DEFER_TO_DEVICE",
"Pico G2 4K": null,
"Pico G3": "BLOCK_FIRMWARE_UPDATES",
"Pico 4": null,
"Pico 4 Ultra Enterprise": "5.13.4"
}
}
}{
"statusCode": 400,
"message": "Version 5.12.10 is not available for Pico 4 Ultra Enterprise. Allowed values: DEFER_TO_DEVICE, BLOCK_FIRMWARE_UPDATES, 5.15.7, 5.13.4, 5.12.6",
"error": "Bad Request"
}{
"statusCode": 403,
"message": "Forbidden",
"error": "ManageXR Error"
}{
"statusCode": 404,
"message": "Configuration with id sFidGmedeQofSBcvRcyn not found",
"error": "ManageXR Error"
}Authorizations
API key based authentication where is the Base64 encoding of API_KEY_ID:API_KEY_SECRET
- Username: The API Key ID.
- Password: The API Key Secret.
Path Parameters
Unique identifier of the configuration
Query Parameters
Unique identifier of the organization. This parameter is only necessary when using multi-organization API keys.
Defaults to the organizationId associated with the API key.
Body
Updated name for the configuration
"Client Configuration v2"
Updated set of VR content on the configuration. Content will appear on the Home Screen in the order it appears in the vrContent array.
We recommend using release channels to deploy apps to configurations to simplify app version management. Instead of updating the app version on every configuration whenever you have an update, simply update the release channel. Learn More
- App (Release Channel)
- App (Specific Version)
- Video
- WebXR Link
Show child attributes
Show child attributes
Kiosk mode strictness level.
DEFAULT - Recommended setting. Standard kiosk experience on ManageXR. Allows access to Meta quick settings menu.
KIOSK_APP - Forces user to only remain in kiosk app and not access anything else on the device, including quick settings or other system apps. This may impact your ability to cast the device using native casting.
DEFAULT, KIOSK_APP "DEFAULT"
Only required if deviceExperience change impacts Meta Horizon managed services device mode. Supplying the flag confirms that you understand the risks and requirements of the mode change._
false
Unique identifiers of wi-fi networks to deploy on the configuration
The id of the wi-fi network to set as the priority network. A device will always connect to the priority network over other networks if it is in range. | Set to null to clear the priority.
"1390KJDL139PJD"
Show child attributes
Show child attributes
{
"id": "DLO133U5NFLMAL1",
"deviceDirectoryPaths": [
"/Android/obb/com.managexr.exampleApp/files"
]
}
Time zone for the configuration. Can be set to 'UNMANAGED', 'AUTO', or a specific time zone ID.
Valid timeZoneIds include:
- Pacific/Midway
- Pacific/Honolulu
- America/Anchorage
- America/Los_Angeles
- America/Tijuana
- America/Phoenix
- America/Chihuahua
- America/Denver
- America/Costa_Rica
- America/Chicago
- America/Mexico_City
- America/Regina
- America/Bogota
- America/New_York
- America/Caracas
- America/Barbados
- America/Halifax
- America/Manaus
- America/Santiago
- America/St_Johns
- America/Sao_Paulo
- America/Argentina/Buenos_Aires
- America/Godthab
- America/Montevideo
- Atlantic/South_Georgia
- Atlantic/Azores
- Atlantic/Cape_Verde
- Africa/Casablanca
- Europe/London
- Europe/Amsterdam
- Europe/Belgrade
- Europe/Brussels
- Europe/Sarajevo
- Africa/Windhoek
- Africa/Brazzaville
- Asia/Amman
- Europe/Athens
- Asia/Beirut
- Africa/Cairo
- Europe/Helsinki
- Asia/Jerusalem
- Europe/Minsk
- Africa/Harare
- Asia/Baghdad
- Europe/Moscow
- Asia/Kuwait
- Africa/Nairobi
- Asia/Tehran
- Asia/Baku
- Asia/Tbilisi
- Asia/Yerevan
- Asia/Dubai
- Asia/Kabul
- Asia/Karachi
- Asia/Oral
- Asia/Yekaterinburg
- Asia/Calcutta
- Asia/Colombo
- Asia/Katmandu
- Asia/Almaty
- Asia/Rangoon
- Asia/Krasnoyarsk
- Asia/Bangkok
- Asia/Jakarta
- Asia/Shanghai
- Asia/Hong_Kong
- Asia/Irkutsk
- Asia/Kuala_Lumpur
- Australia/Perth
- Asia/Taipei
- Asia/Seoul
- Asia/Tokyo
- Asia/Yakutsk
- Australia/Adelaide
- Australia/Darwin
- Australia/Brisbane
- Australia/Hobart
- Australia/Sydney
- Pacific/Majuro
- Asia/Vladivostok
- Pacific/Guam
- Asia/Magadan
- Pacific/Auckland
- Pacific/Fiji
- Pacific/Tongatapu
- Etc/GMT+12
- Etc/GMT+11
- Etc/GMT+10
- Etc/GMT+9
- Etc/GMT+8
- Etc/GMT+7
- Etc/GMT+6
- Etc/GMT+5
- Etc/GMT+4
- Etc/GMT+3
- Etc/GMT+2
- Etc/GMT+1
- Etc/GMT
- Etc/GMT-1
- Etc/GMT-2
- Etc/GMT-3
- Etc/GMT-4
- Etc/GMT-5
- Etc/GMT-6
- Etc/GMT-7
- Etc/GMT-8
- Etc/GMT-9
- Etc/GMT-10
- Etc/GMT-11
- Etc/GMT-12
- Etc/GMT-13
- Etc/GMT-14
Time zones with the Etc/GMT prefix are the equivalent of UTC time zones. Only the ID part needs to be supplied (e.g., "America/New_York", not the full name).
UNMANAGED, AUTO, timeZoneId "America/New_York"
Set the firmware target for one or more Pico models. Each key is a model name. Each value is one of these:
- A firmware version for that model. To get the versions that your organization can select, call List Firmware Versions.
DEFER_TO_DEVICE. The headset handles its own firmware updates.BLOCK_FIRMWARE_UPDATES. Headsets of that model do not update their firmware.null. Removes the target for that model. ManageXR then blocks firmware updates for that model.
Models that you do not include keep their current target.
The allowed models are Pico Neo 2, Pico Neo 3, Pico G2 4K, Pico G3, Pico 4, and Pico 4 Ultra Enterprise. For Pico Neo 3 Eye headsets, use Pico Neo 3.
If the configuration already targets a version, you can send that version again, even if it is no longer in the list.
When you set a version and the configuration has no firmware install setting, ManageXR sets the same default as the web console. The default is "User initiated" for HOME_SCREEN configurations and "Prompt to install on boot" for other configurations.
Show child attributes
Show child attributes
{
"Pico 4 Ultra Enterprise": "5.13.4",
"Pico G3": "DEFER_TO_DEVICE",
"Pico 4": null
}
Response
The updated configuration
Full representation of a configuration.
Show child attributes
Show child attributes